#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long n, x, r;
    cin>>n>>x;
    long a[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    long maxl=x;
    long maxd=x;
    for(long i=0; i<n; i++)
    {
        if(a[i]<x && a[i]< maxl) maxl=a[i];
        if(a[i]>x && a[i]> maxd) maxd=a[i];
    }
    if(abs(x-maxl)<abs(x-maxd))
    {
        r=2*abs(x-maxl)+abs(x-maxd);
        cout<<r;
    }
    else
    {
        r=2*abs(x-maxd)+abs(x-maxl);
        cout<<r;
    }
    return 0;
}